import java.util.*;

/*
 * Progetto 10 capitolo 3 del libro Savitch.
 * 
 * A partire dal progetto 13 del capitolo 2:
 * L'equazione di Harris-Benedict stima il numero di calorie
 * richieste dal corpo umano per mantenere costante il peso
 * se non si svolge attivita' fisica.
 * Tale valore e' detto metabolismo basale o MB.
 * Le calorie necessarie a una donna per mantenere il suo peso
 * sono date da:
 * MB = 655 + (9.6 * peso in kg)+(1.8*altezza in cm)-(4.7*eta' in anni)
 * Le calorie necessarie a un uomo sono invece date da:
 * MB = 66 + (13.8 * peso in kg)+(5.0*altezza in cm)-(6.8*eta' in anni)
 * Una barretta di cioccolato contiene circa 230 calorie.
 * Scrivere un programma che consenta all'utente di inserire il 
 * proprio peso in kg, la propria altezza in cm e la propria eta'.
 * Il programma dovra' stampare il numero di barrette di cioccolato
 * che si dovrebbero consumare per mantenere il proprio peso sia
 * nel caso di un uomo che di una donna con i valori specificati
 * di peso, altezza ed eta'.
 * 
 * Variante del progetto 9 del capitolo 3:
 * Si chieda all'utente di inserire la stringa "U" se uomo e "D" se
 * donna. Si utilizzi, quindi, per il calcolo delle calorie necessarie,
 * solo la formula per gli uomini nel caso che l'utente inserisca "U"
 * e solo quella per le donne nel caso inserisca "D".
 * Si stampi come nel caso precedente il numero di barrette al 
 * cioccolato richieste.
 * 
 * Variante:
 * Chiedere all'utente se e':
 * a. sedentario
 * b. moderatamente attivo (svolge attivita' fisica occasionalmente)
 * c. attivo (svolge attivita' fisica 3-4 volte a settimana)
 * d. molto attivo (svolge attivita' fisica tutti i giorni)
 * Se l'utente risponde "sedentario", si incrementi il valore di MB 
 * del 20%; 
 * se "moderatamente attivo", si incrementi MB del 30%;
 * se "attivo", si incrementi MB del 40%;
 * se "molto attivo", si incrementi MB del 50%
 * 
 * Si stampi il numero di barrette al cioccolato richieste in base al
 * nuovo valore di MB
 * 
 */


public class HarrisBenedictVarianteAttivita {

	public static final int CALORIE_BARRETTA = 230;
	public static final int INCREMENTO_SEDENTARIO = 20;
	public static final int INCREMENTO_MODERATAMENTE_ATTIVO = 30;
	public static final int INCREMENTO_ATTIVO = 40;
	public static final int INCREMENTO_MOLTO_ATTIVO = 50;
	
	
	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		double mb=0; // inizializzazione necessaria
		int barrette; 
		
		System.out.print("Inserire il peso in kg: ");
		int peso = tastiera.nextInt();
		System.out.print("Inserire l'altezza in cm: ");
		int altezza = tastiera.nextInt();
		System.out.print("Inserire l'eta': ");
		int eta = tastiera.nextInt();
		System.out.print("Inserire se uomo o donna (U/D): ");
		String genere = tastiera.next();
		System.out.println("Inserire il grado di attivita' (a-d): ");
		System.out.println("- a. Sedentario");
		System.out.println("- b. Moderatamente attivo (attivita' fisica occasionale)");
		System.out.println("- c. Attivo (attivita' fisica 3-4 volte alla settimana)");
		System.out.println("- d. Molto attivo (attivita' fisica tutti i giorni)");
		String attivita = tastiera.next();
		
		if(genere.equalsIgnoreCase("D"))
			mb = 655 + (9.6*peso) + (1.8*altezza) - (4.7*eta);
		else if(genere.equalsIgnoreCase("U"))
			mb = 66 + (13.8*peso) + (5.8*altezza) - (6.8*eta);
		
		switch(attivita.charAt(0)){
		case 'a':
			mb = mb + mb*INCREMENTO_SEDENTARIO/100;
			break;
		case 'b':
			mb = mb + mb*INCREMENTO_MODERATAMENTE_ATTIVO/100;
			break;
		case 'c':
			mb = mb + mb*INCREMENTO_ATTIVO/100;
			break;
		case 'd':
			mb = mb + mb*INCREMENTO_MOLTO_ATTIVO/100;
			break;
		default: 
			System.out.println("Errore nell'inserimento");
		}
		
		barrette = (int) (mb/CALORIE_BARRETTA);
		System.out.println("Il numero di barrette al cioccolato e': "+barrette);
		tastiera.close();
	}
	
}
